	/*
				 结合Bootstrap 提示工具（Tooltip）插件实现
				 * */
	function itemValidate() {
		//$("[data-toggle='tooltip']").tooltip();
		$("body").on("input", "input,textarea", function(event) {
			var targetObj = $(event.target);
			if(targetObj.val() == "") {
				targetObj.parent().parent().removeClass("has-error")
				targetObj.tooltip("destroy");
				return
			}
			if(targetObj.attr("type")=="file"){
				return
			}
			//字符长度检测
			var size = targetObj.attr("data-size");
			if(typeof(size) != "undefined") {
				var inputSize = targetObj.val().length;
				if(size.indexOf("-") == -1) {
					size = parseInt(size);
					if(size == 0) {
						if(inputSize >= 200) {
							targetObj.parent().parent().addClass("has-error");
							targetObj.tooltip("destroy");
							targetObj.attr("title", "输入字符过多").tooltip('show')
							targetObj.focus();
							return
						} else {
							targetObj.parent().parent().removeClass("has-error");
							targetObj.tooltip("destroy");
						}
					} else {
						if(inputSize != size) {
							targetObj.parent().parent().addClass("has-error");
							targetObj.tooltip("destroy");
							targetObj.attr("title", "请输入" + size + "个字符").tooltip('show')
							targetObj.focus();
							return
						} else {
							targetObj.parent().parent().removeClass("has-error");
							targetObj.tooltip("destroy");
						}
					}
				} else {
					var arr = size.split("-");
					var min = parseInt(arr[0]);
					var max = parseInt(arr[1]);
					if(inputSize < min || inputSize > max) {
						targetObj.parent().parent().addClass("has-error");
						targetObj.tooltip("destroy");
						targetObj.attr("title", "字符数:" + size).tooltip('show')
						targetObj.focus();
						return
					} else {
						targetObj.parent().parent().removeClass("has-error");
						targetObj.tooltip("destroy");
					}
				}
			}
			//验证
			if(targetObj.attr("data-valtype") != undefined && targetObj.attr("data-valtype")!="") {
				if(targetObj.attr("data-valtype") == "num") {
					var temp = numCheck(targetObj.val())
					if(temp == true) {
						targetObj.parent().parent().removeClass("has-error");
						targetObj.tooltip("destroy");
					} else {
						targetObj.parent().parent().addClass("has-error");
						targetObj.tooltip("destroy");
						targetObj.attr("title", "只能输入数字").tooltip('show')
						targetObj.focus();
						return
					}
				}
				if(targetObj.attr("data-valtype") == "tel") {
					var temp = telCheck(targetObj.val())
					if(temp == true) {
						targetObj.parent().parent().removeClass("has-error");
						targetObj.tooltip("destroy");;
					} else {
						targetObj.parent().parent().addClass("has-error");
						targetObj.tooltip("destroy");
						targetObj.attr("title", "请输入正确的电话号码").tooltip('show')
						targetObj.focus();
						return
					}
				}
				if(targetObj.attr("data-valtype") == "mail") {
					var temp = mailCheck(targetObj.val())
					if(temp == true) {
						targetObj.parent().parent().removeClass("has-error");
						targetObj.tooltip("destroy");;
					} else {
						targetObj.parent().parent().addClass("has-error");
						targetObj.tooltip("destroy");
						targetObj.attr("title", "请输入正确的邮箱地址").tooltip('show')
						targetObj.focus()
						return
					}
				}
				if(targetObj.attr("data-valtype") == "negativeNum") {
					var temp = negativeNum(targetObj.val())
					if(temp == true) {
						targetObj.parent().parent().removeClass("has-error");
						targetObj.tooltip("destroy");;
					} else {
						targetObj.parent().parent().addClass("has-error");
						targetObj.tooltip("destroy");
						targetObj.attr("title", "只能输入负整数").tooltip('show')
						targetObj.focus();
						return
					}
				}
			}
			if(targetObj.attr("data-unique") != undefined) {
				var beanName = targetObj.attr("data-unique");
				var val = targetObj.val();
				var field = targetObj.attr("name");
				console.log(field)
				if(field.indexOf("_") == -1) {

				} else {
					var temp = field.split("_");
					field = temp[1]
				}
				var obj = {
					field: field,
					val: val
				}
				var data = ajax2({
					type:"uniqueCheck",
					beanName: beanName,
					condition:JSON.stringify(obj)
				}, window.hostUrl + "/queryDataApi.action", "get")
				if(data=="no"){
					targetObj.parent().parent().addClass("has-error");
					targetObj.tooltip("destroy");
					targetObj.attr("title", "数据已被使用,不能重复").tooltip('show')
					targetObj.focus();
					return
				}
			}
		})
	}

	function numCheck(str) {
		if(!isNaN(str)) {
			return true
		} else {
			return false
		}
	}

	function telCheck(str) {
		var isMobile = /^(((13[0-9]{1})|(15[0-9]{1})|(19[0-9]{1})|(18[0-9]{1})|(17[0-9]{1})|(14[0-9]{1}))+\d{8})$/;
		var isPhone = /^(?:(?:0\d{2,3})-)?(?:\d{7,8})(-(?:\d{3,}))?$/;
		if(!isMobile.test(str)) {
			return false;
		} else {
			return true;
		}
	}

	function mailCheck(str) {
		var reg = /^([a-zA-Z0-9]+[_|\_|\.]?)*[a-zA-Z0-9]+@([a-zA-Z0-9]+[_|\_|\.]?)*[a-zA-Z0-9]+\.[a-zA-Z]{2,3}$/;
		if(!reg.test(str)) {
			return false;
		} else {
			return true;
		}
	}

	function negativeNum(str) {
		if(str == "0") {
			return true;
		}
		var reg = /^-\d+$/;
		var rega = /^-0/
		if(reg.test(str)) {
			if(!rega.test(str)) {
				return true;
			} else {
				return false;
			}
		} else {
			return false;
		}
	}